> For the complete documentation index, see [llms.txt](https://docs.elimity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elimity.com/release-notes/v3.43.0.md).

# v3.43.0

We are happy to announce release v3.43.0 of Elimity Insights, released on 7 January 2026.

## Summary

This section summarizes the most important changes in release v3.43.0.

<details>

<summary>New functionality</summary>

* SailPoint IIQ built-in connector
* Webhook-based ITSM integrations

</details>

<details>

<summary>Bug fixes &#x26; improvements</summary>

* OAuth2 authentication for all gateway-based built-in connectors
* Minor bug fixes & improvements

</details>

<details>

<summary>Deployment changes</summary>

* Required update of the NTFS gateway
* Removal of the `AccessReviewRequestedChangesEmail` configuration option
* Removal of the `HttpsEnabled`, `TLSCertificate`, `TLSCertificateKey` and `TLSListeningPort` configuration options
* Removal of the `EnableOIDCAuthentication` and `EnablePasswordAuthentication` configuration options
* End of support for executable-based deployments

</details>

## New functionality <a href="#h_01h9mxgpqsnkh8tpyx32gwcbsr" id="h_01h9mxgpqsnkh8tpyx32gwcbsr"></a>

### SailPoint IIQ built-in connector

Elimity Insights v3.43.0 includes support for SailPoint IIQ in its built-in connector library. This new connector imports users, accounts, entitlements, roles and applications from your SailPoint IIQ instance. Refer to [our dedicated documentation](/reference-manual/built-in-connectors/sailpoint-iiq.md) for additional information.

### Webhook-based ITSM integrations

The v3.43.0 release also brings significant improvements for integrating with ITSM systems. Up until now, system admins had to set the `AccessReviewRequestedChangesEmail` configuration option and parse the incoming emails to create tickets in their ITSM system. We replaced this approach with a more flexible alternative based on webhooks. More specifically, admins can now simply configure a webhook URL which Elimity Insights triggers for each change request. Refer to [our dedicated documentation](/reference-manual/advanced-topics/itsm-webhook.md) for additional information.

## Bug fixes & improvements

### OAuth2 authentication for all gateway-based built-in connectors

Elimity Insights v3.42.0 brought some new configuration options to support strong authentication for imports via custom gateways. From v3.43.0 onwards, these configuration options also apply for all gateway-based built-in connectors. More specifically, Elimity Insights can now also use OAuth2 for authenticating requests to gateways for the following built-in connectors:

* [Jira Data Center](/reference-manual/built-in-connectors/jira-data-center.md)
* [NTFS](/reference-manual/built-in-connectors/ntfs.md)
* [SailPoint IIQ](/reference-manual/built-in-connectors/sailpoint-iiq.md)
* [SharePoint](/reference-manual/built-in-connectors/sharepoint.md)

We strongly recommend replacing the older authentication method based on secret tokens as soon as possible. Elimity Insights v3.44.0 will only support OAuth2 for gateway authentication.

### Minor bug fixes & improvements <a href="#h_01js1h4hg2ekpaqj0a5kpn1hc0" id="h_01js1h4hg2ekpaqj0a5kpn1hc0"></a>

As always, this new release brings some smaller bug fixes and improvements:

* The 'IMPORT FROM FILE UPLOADS' button on source detail pages now correctly links to the 'FILE UPLOADS' tab.
* Labels indicating the archivation status of attribute types and sources now appear in more places throughout the user interface
* The user interface now no longer constructs invalid or incorrect queries for some complex edge cases
* We slightly adjusted the look and feel of the usage logs tab on our advanced settings page to increase consistency

## Deployment changes

### Required update of the NTFS gateway

Customers using the NTFS built-in connector must update their gateways to major version 2. Note that the `secretTokenHash` config option is now no longer effective, please configure JWT validation as described in [our dedicated documentation](/gateways-ntfs/step-by-step-deployment-guide.md).

### Removal of the `AccessReviewRequestedChangesEmail` configuration option

Since Elimity Insights now supports webhook-based ITSM integrations, the `AccessReviewRequestedChangesEmail` configuration value in `elimity.yml` is no longer effective.

### Removal of the `HttpsEnabled`, `TLSCertificate`, `TLSCertificateKey` and `TLSListeningPort` configuration options

From v3.43.0 onwards Elimity Insights no longer supports serving HTTPS traffic directly. We instead require a production-grade HTTPS proxy to provide the best security. This means the `HttpsEnabled`, `TLSCertificate`, `TLSCertificateKey` and `TLSListeningPort` configuration options in `elimity.yml` will no longer be effective. Please refer to [our dedicated documentation](/reference-manual/installation/http-s-proxy.md) for additional guidance on HTTP(S) proxies.

### Removal of the `EnableOIDCAuthentication` and `EnablePasswordAuthentication` configuration options

To improve security even further we also removed password-based authentication in v3.43.0. More specifically, OIDC-based authentication is now mandatory (we were already strongly recommending it for every production-level deployment); the `EnableOIDCAuthentication` and `EnablePasswordAuthentication` configuration options in `elimity.yml` are no longer effective. This change should affect very few customers; please contact your Elimity representative if you need assistance with migrating to OIDC-based authentication.

### End of support for executable-based deployments

From v3.43.0 onwards, we only support container-based deployments of Elimity Insights. We provide migration assistance to the few customers that were still using plain executables.

## Migration information <a href="#h_01h9mxgpqs599yv2hb64zhwdk9" id="h_01h9mxgpqs599yv2hb64zhwdk9"></a>

To migrate from v3.42.x to v3.43.0, we suggest the following steps:

1. Make a backup of your existing database.
2. Make a backup of your existing installation directory.
3. Upgrade your installation by bumping the container image version.
4. Migrate your database, as described in [our dedicated documentation](/reference-manual/installation/elimity-insights-server.md#upgrades).
5. Start the server and validate that it works as before.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.elimity.com/release-notes/v3.43.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
